Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal
Class AbstractDomainObjectCollection

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection

All Implemented Interfaces:
  DomainObjectCollection

    class AbstractDomainObjectCollection
    extends java.lang.Object

Nested Class Summary
`class` | `AbstractDomainObjectCollection.ContainerDynamicObject`

Constructor Summary
`AbstractDomainObjectCollection()`

Method Summary
`void` | `allObjects(Action action)`
`void` | `allObjects(Closure action)`
`protected UnknownDomainObjectException` | `createNotFoundException(java.lang.String name)` Called when an unknown domain object is requested.
`Set` | `findAll(Spec spec)`
`Set` | `getAll()`
`DynamicObject` | `getAsDynamicObject()` Returns a { methods.
`T` | `getAt(java.lang.String name)`
`T` | `getByName(java.lang.String name)`
`T` | `getByName(java.lang.String name, Closure configureClosure)`
`java.lang.String` | `getDisplayName()` Returns the display name of this collection
`Iterator` | `iterator()`
`protected java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
`protected java.lang.Object` | `propertyMissing(java.lang.String name)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractDomainObjectCollection

    AbstractDomainObjectCollection()

Method Detail

### allObjects

    public void allObjects(Action action)

### allObjects

    public void allObjects(Closure action)

### createNotFoundException

    protected UnknownDomainObjectException createNotFoundException(java.lang.String name)

  Called when an unknown domain object is requested.
  param:
    name The name of the unknown object
  return:
    The exception to throw.

### findAll

    public Set findAll(Spec spec)

### getAll

    public Set getAll()

### getAsDynamicObject

    public DynamicObject getAsDynamicObject()

  Returns a org.gradle.api.internal.DynamicObject which can be used to access the domain objects as dynamic properties and methods.
  return:
    The dynamic object

### getAt

    public T getAt(java.lang.String name)

### getByName

    public T getByName(java.lang.String name)

### getByName

    public T getByName(java.lang.String name, Closure configureClosure)

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of this collection
  return:
    The display name

### iterator

    public Iterator iterator()

### methodMissing

    protected java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

### propertyMissing

    protected java.lang.Object propertyMissing(java.lang.String name)

Groovy Documentation